diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index f86f315..5543fc0 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -43835,8 +43835,8 @@ InnerPolySum(E, V, R, P): Exports == Impl where
 
         pmul(c, p) ==
             pn := (rec := splitDenominator p).num
-            [map(numer(#1) * c,
-                pn)$SparseUnivariatePolynomialFunctions2(Q, P), rec.den]
+            [map(x +-> numer(x) * c, pn)_
+               $SparseUnivariatePolynomialFunctions2(Q, P), rec.den]
 
         sum(p, v, s) ==
           indef := sum(p, v)
diff --git a/changelog b/changelog
index d0b841e..cea8b6b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090605 tpd src/axiom-website/patches.html 20090605.01.tpd.patch
+20090605 tpd books/bookvol10.4 ISUMP +-> conversion
 20090604 tpd src/axiom-website/patches.html 20090604.08.tpd.patch
 20090604 tpd books/bookvol10.4 INEP +-> conversion
 20090604 tpd src/axiom-website/patches.html 20090604.07.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 7337d8b..9656ff5 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1451,5 +1451,7 @@ bookvol10.4 INMODGCD +-> conversion<br/>
 bookvol10.4 INNMFACT +-> conversion<br/>
 <a href="patches/20090604.07.tpd.patch">20090604.08.tpd.patch</a>
 bookvol10.4 INEP +-> conversion<br/>
+<a href="patches/20090605.01.tpd.patch">20090605.01.tpd.patch</a>
+bookvol10.4 ISUMP +-> conversion<br/>
  </body>
 </html>
